<template>
    <md-drawer :md-active.sync="showNavigation" md-swipeable>
        <div class="md-headline">{{$t('main.adjustments')}}</div>
        <md-list>
            <md-list-item @click="logout()">
                <md-icon>exit_to_app</md-icon>
                <span class="md-list-item-text">{{$t('main.logout')}}</span>
            </md-list-item>
            <span class="md-subheading">{{$t('main.language')}}</span>
            <md-list-item @click="() => this.$refs.language.trigger()">
                <md-icon>
                    <LanguageChooser ref="language" />
                </md-icon>
                <span class="md-list-item-text">{{languageName}}</span>
            </md-list-item>
        </md-list>
    </md-drawer>
</template>
<script>
  import LanguageChooser from './LanguageChooser';
  import languageNames from './LanguageChooser/languageNames';
  import { logout as apiLogout } from '../Api';

  export default {
    data(){
      return {
        showNavigation: false
      }
    },
    computed: {
      languageName() {
        return languageNames[this.$root.$i18n.locale];
      },
    },
    methods: {
      async logout(){
        await apiLogout();
        window.location.reload();
      },
      open(){
        this.showNavigation = true;
      }
    },
    components: {
      LanguageChooser
    }
  }
</script>
